##
##  chalk.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_chalk      6.0.0
%define       V_chalk_snap 20250502

#   package information
Name:         chalk
Summary:      Output Colorizer
URL:          https://github.com/chalk/chalk-cli/
Vendor:       Sindre Sorhus
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Terminal
License:      MIT
Version:      %{V_chalk}
Release:      20250502

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/chalk/chalk-%{V_chalk}-%{V_chalk_snap}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    This is a terminal output colorizer.

%track
    prog chalk = {
        version   = %{version}
        url       = https://github.com/chalk/chalk-cli/releases
        regex     = v(\d+\.\d+\.\d+)
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/chalk
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/chalk/
    ( echo "#!/bin/sh"
      echo "NODE_PATH=%{l_prefix}/lib/chalk; export NODE_PATH"
      echo "exec %{l_prefix}/lib/chalk/chalk-cli/cli.js \${1+\"\$@\"}"
    ) >chalk
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        chalk $RPM_BUILD_ROOT%{l_prefix}/bin/chalk
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

